Package org.eclipse.rdf4j.repository.filters

## Class InaccurateRepositoryBloomFilter

- java.lang.Object
- - org.eclipse.rdf4j.repository.filters.InaccurateRepositoryBloomFilter

- All Implemented Interfaces:
    `RepositoryBloomFilter`

      public class InaccurateRepositoryBloomFilter
      extends Object
      implements RepositoryBloomFilter

  A zero-cost bloom filter that always returns true (no negatives).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InaccurateRepositoryBloomFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `mayHaveStatement​(RepositoryConnection conn, Resource subj, IRI pred, Value obj, Resource... contexts)` | Returns true if the repository may have such a statement or false if it definitely does not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InaccurateRepositoryBloomFilter

          public InaccurateRepositoryBloomFilter()

  - ### Method Detail

    - #### mayHaveStatement

          public boolean mayHaveStatement​(RepositoryConnection conn,
                                          Resource subj,
                                          IRI pred,
                                          Value obj,
                                          Resource... contexts)

      Description copied from interface: `RepositoryBloomFilter`
      Returns true if the repository may have such a statement or false if it definitely does not.
      Specified by:
        `mayHaveStatement` in interface `RepositoryBloomFilter`
      Parameters:
        `conn` - connection to the repository to check.
        `subj` - subject of the statement to check for (can be null).
        `pred` - predicate of the statement to check for (can be null).
        `obj` - object of the statement to check for (can be null).
        `contexts` - contexts of the statement to check for.